#!/bin/sh
# $FreeBSD: ports/www/junkbuster/files/junkbuster.sh.in,v 1.6 2002/10/20 06:04:02 obrien Exp $

case $1 in
start)
	if [ -d /usr/local/etc/junkbuster \
	     -a -x /usr/local/sbin/junkbuster \
	     -a -f /usr/local/etc/junkbuster/configfile ]; then
		: seems OK
	else
		echo >&2 "$0: missing files!"
		exit 1
	fi
	cd /usr/local/etc/junkbuster
	su -m nobody -c "/usr/local/sbin/junkbuster configfile &" \
	    >/dev/null \
	&& echo -n " junkbuster" \
	|| echo " junkbuster FAILED TO START"
	;;
stop)
	killall junkbuster && echo -n " junkbuster"
	;;
restart)
	$0 stop
	$0 start
	;;
*)
	echo "Usage: `basename $0` {start|stop}" >&2
	exit 64
	;;
esac

exit 0
